GIRAFFE_DECLARE_VALUE_RECORD(GtkAccelKey, gtk_accel_key)
GIRAFFE_DECLARE_FIELD(GtkAccelKey, gtk_accel_key, accel_key)
GIRAFFE_DECLARE_FIELD(GtkAccelKey, gtk_accel_key, accel_mods)
GIRAFFE_DECLARE_VALUE_RECORD(GtkBorder, gtk_border)
GIRAFFE_DECLARE_FIELD(GtkBorder, gtk_border, left)
GIRAFFE_DECLARE_FIELD(GtkBorder, gtk_border, right)
GIRAFFE_DECLARE_FIELD(GtkBorder, gtk_border, top)
GIRAFFE_DECLARE_FIELD(GtkBorder, gtk_border, bottom)
GIRAFFE_DECLARE_VALUE_RECORD(GtkPageRange, gtk_page_range)
GIRAFFE_DECLARE_FIELD(GtkPageRange, gtk_page_range, start)
GIRAFFE_DECLARE_FIELD(GtkPageRange, gtk_page_range, end)
GIRAFFE_DECLARE_VALUE_RECORD(GtkRequisition, gtk_requisition)
GIRAFFE_DECLARE_FIELD(GtkRequisition, gtk_requisition, width)
GIRAFFE_DECLARE_FIELD(GtkRequisition, gtk_requisition, height)
GIRAFFE_DECLARE_VALUE_RECORD(GtkTableRowCol, gtk_table_row_col)
GIRAFFE_DECLARE_FIELD(GtkTableRowCol, gtk_table_row_col, requisition)
GIRAFFE_DECLARE_FIELD(GtkTableRowCol, gtk_table_row_col, allocation)
GIRAFFE_DECLARE_FIELD(GtkTableRowCol, gtk_table_row_col, spacing)
GIRAFFE_DECLARE_VALUE_RECORD(GtkTargetEntry, gtk_target_entry)
GIRAFFE_DECLARE_FIELD(GtkTargetEntry, gtk_target_entry, target)
GIRAFFE_DECLARE_FIELD(GtkTargetEntry, gtk_target_entry, flags)
GIRAFFE_DECLARE_FIELD(GtkTargetEntry, gtk_target_entry, info)
GIRAFFE_DECLARE_VALUE_RECORD(GtkTextAppearance, gtk_text_appearance)
GIRAFFE_DECLARE_FIELD(GtkTextAppearance, gtk_text_appearance, bg_color)
GIRAFFE_DECLARE_FIELD(GtkTextAppearance, gtk_text_appearance, fg_color)
GIRAFFE_DECLARE_FIELD(GtkTextAppearance, gtk_text_appearance, rise)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, appearance)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, justification)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, direction)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, font)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, font_scale)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, left_margin)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, right_margin)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, indent)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, pixels_above_lines)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, pixels_below_lines)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, pixels_inside_wrap)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, tabs)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, wrap_mode)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, language)
GIRAFFE_DECLARE_FIELD(GtkTextAttributes, gtk_text_attributes, letter_spacing)
GIRAFFE_DECLARE_VALUE_RECORD(GtkTextIter, gtk_text_iter)
GIRAFFE_DECLARE_VALUE_RECORD(GtkTreeIter, gtk_tree_iter)
GIRAFFE_DECLARE_FIELD(GtkTreeIter, gtk_tree_iter, stamp)
